import java.util.Map ;
import java.util.HashMap ;

public class Society
{
	
	private Map peopleById ;
	
	public Society()
	{
		peopleById = new HashMap() ;
	}
	
	public Person getPerson(String id)
	{
		return (Person)peopleById.get(id) ;
	}
	
	public void addPerson(Person person)
	{
		String id = person.getId() ;
		if (peopleById.containsKey(id)) throw new IllegalArgumentException() ;
		peopleById.put(id, person) ;
	}
	
}
